Description

It would be very cool if the postgis provider had the option to save the style for a layer/table (the qml file) in the comments of a table. And

then optionally load the layer with the associated qml file.

History

#1 - 2011-11-24 08:18 AM - Regis Haubourg

I agree, very useful feature. The xml code should be appended to the existing comment, and not erase it... 

Régis

#2 - 2011-11-24 02:51 PM - Giuseppe Sucameli

Why storing it in the comment of the table? And how to make it working with tables with more geometry columns? Maybe using the comment of geometry

field instead?

IMHO would be better a new metadata table containing the relation between table + geomcol and the style.

#3 - 2011-11-24 04:55 PM - Rhys Stewart

The comments of the geometry field would even be better, I honestly didn't realize that fields could have comments!!!! 

I prefer storing it in the table rather than a separate metatable because I think it would be easier to export/dump/backup individual tables complete

with the style in the table or field comments as opposed to exporting the table in question plus the metadata table.

#4 - 2011-12-09 08:27 AM - Paolo Cavallini

- Category set to Symbology

#5 - 2011-12-16 02:09 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#6 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#7 - 2012-10-06 02:16 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#8 - 2015-11-09 04:56 AM - Médéric RIBREUX

Hello,

2025-04-27 1/2



bug triage...

I think that this feature is now completely integrated into QGIS PostgreSQL provider and Spatialite too. For PostgreSQL, style is stored into a dedicated

table (layer_styles).

We can close this feature request !

#9 - 2015-11-09 04:57 AM - Médéric RIBREUX

- % Done changed from 0 to 100

- Status changed from Open to Closed
